<div class="card">
    <div class="card-header"> Login </div>
    <div class="card-body">
        <form [formGroup]="loginForm" (ngSubmit)="login(loginForm.value)">
            <div class="form-group">
                <label for="username">Username</label>
                <input type="text" id="username" formControlName="username" placeholder="Choose an username" [ngClass]="{'form-control': true, 'is-invalid': errors?.username}">
                <div class="invalid-feedback">
                    {{ errors?.username }}
                </div>
            </div>
            <div class="form-group">
                <label for="password">Password</label>
                <input type="password" id="password" formControlName="password" placeholder="Enter a password" [ngClass]="{'form-control': true, 'is-invalid': errors?.password}">
                <div class="invalid-feedback">
                    {{ errors?.password }}
                </div>
            </div>

            <button type="submit" class="btn btn-primary">Login</button>
        </form>
    </div>
</div>